콘텐츠로 이동
한국어

대화 목록

GET/v1/mailboxes/{mailbox_id}/threads

가장 최근에 업데이트된 대화상자부터 시작하여 최대 100개의 대화상자를 반환합니다. Trash 및 Junk 폴더의 메시지는 목록에 포함되지 않습니다. 새 문자는 약간의 지연 후에 나타날 수 있습니다. 목록 업데이트 요청을 다시 시도하세요.

승인 및 접근 영역 · 오류와 반복

요구

터미널 창
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/threads' \
-H 'Authorization: Bearer <access_token>'

옵션

mailbox_idpath반드시

integer

X-Customer-IDheader
옵션 1

string

옵션 2

null

응답

200 성공적인 응답

application/json

array

배열 요소

object

thread_id

string

updated_at

string

UTC.의 날짜 및 시간 오프셋이 없으면 값은 UTC.도 나타냅니다.

messages

integer

unread

integer

senders

array

배열 요소

string

subject

string

sender

string

401 로그인이 필요합니다

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

403 접근 불가

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

404 리소스를 찾을 수 없습니다.

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

409 국가 갈등

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object

422 유효성 검사 오류

application/json

object

detail

array

배열 요소

object

loc반드시

array

배열 요소
옵션 1

string

옵션 2

integer

msg반드시

string

type반드시

string

503 일시적인 이용 불가

application/json

object

detail
옵션 1

string

옵션 2

object

code

string

message

string

옵션 3

array

배열 요소

object